<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>binzcms_left</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link href="styles/general.css" rel="stylesheet" type="text/css" />
<style type="text/css">
body {
  background: #80BDCB;
}
#tabbar-div {
  background: #278296;
  padding-left: 10px;
  height: 21px;
  padding-top: 0px;
}
#tabbar-div p {
  margin: 1px 0 0 0;
}
.tab-front {
  background: #80BDCB;
  line-height: 20px;
  font-weight: bold;
  padding: 4px 15px 4px 18px;
  border-right: 2px solid #335b64;
  cursor: hand;
  cursor: pointer;
}
.tab-back {
  color: #F4FAFB;
  line-height: 20px;
  padding: 4px 15px 4px 18px;
  cursor: hand;
  cursor: pointer;
}
.tab-hover {
  color: #F4FAFB;
  line-height: 20px;
  padding: 4px 15px 4px 18px;
  cursor: hand;
  cursor: pointer;
  background: #2F9DB5;
}
#top-div
{
  padding: 3px 0 2px;
  background: #BBDDE5;
  margin: 5px;
  text-align: center;
}
#main-div {
  border: 1px solid #345C65;
  padding: 5px;
  margin: 5px;
  background: #FFF;
}
#menu-list {
  padding: 0;
  margin: 0;
}
#menu-list ul {
  padding: 0;
  margin: 0;
  list-style-type: none;
  color: #335B64;
}
#menu-list li {
  padding-left: 16px;
  line-height: 16px;
  cursor: hand;
  cursor: pointer;
}
#main-div a:visited, #menu-list a:link, #menu-list a:hover {
  color: #335B64
  text-decoration: none;
}
#menu-list a:active {
  color: #EB8A3D;
}
.explode {
  background: url(images/menu_minus.gif) no-repeat 0px 3px;
  font-weight: bold;
}
.collapse {
  background: url(images/menu_plus.gif) no-repeat 0px 3px;
  font-weight: bold;
}
.menu-item {
  background: url(images/menu_arrow.gif) no-repeat 0px 3px;
  font-weight: normal;
}
#help-title {
  font-size: 14px;
  color: #000080;
  margin: 5px 0;
  padding: 0px;
}
#help-content {
  margin: 0;
  padding: 0;
}
.tips {
  color: #CC0000;
}
.link {
  color: #000099;
}
</style>
</head>
<body>
<div id="tabbar-div">
<p><span style="float:right; padding: 3px 5px;" ><a href="javascript:toggleCollapse();"><img id="toggleImg" src="images/menu_minus.gif" width="9" height="9" border="0" alt="<?php  echo $left_class_close; ?>" /></a></span>
  <span class="tab-front" id="menu-tab" style="font-size:12px"><?php  echo $left_class_menu; ?></span><span class="tab-back" id="help-tab" style="font-size:12px"><?php  echo $left_class_help; ?></span>
</p>
</div>
<div id="main-div">
<div id="menu-list">
<ul>
<?php  if ( $_GET['type']=='class' or $_GET['type']=='all') { ?>
  <li class="explode" key="1_menu" name="menu">
  <?php  echo $left_class_manage; ?><ul><!--频道管理-->
      <!--添加频道--><li class="menu-item"><a href="index.php?ctl=class&act=class_add" target="main-frame"><?php  echo $left_class_add; ?></a></li>
      <!--频道列表--><li class="menu-item"><a href="index.php?ctl=class&act=class_list" target="main-frame"><?php  echo $left_class_list; ?></a></li>
      <!--频道类型--><li class="menu-item"><a href="index.php?ctl=class&act=class_type" target="main-frame"><?php  echo $left_class_type; ?></a></li>
    </ul>
  </li>
<?php } ?>
<?php  if ( $_GET['type']=='content' or $_GET['type']=='all') { ?>
  <li class="explode" key="2_menu" name="menu">
  <?php  echo $left_content_manage; ?><ul><!--内容管理-->
      <!--添加文章--><li class="menu-item"><a href="index.php?ctl=content&act=content_add" target="main-frame"><?php  echo $left_content_add; ?></a></li>
      <!--文章类别--><li class="menu-item"><a href="index.php?ctl=content&act=content_list" target="main-frame"><?php  echo $left_content_list; ?></a></li>
      <!--添加图片--><li class="menu-item"><a href="index.php?ctl=content&act=image_add" target="main-frame"><?php  echo $left_image_add; ?></a></li>
      <!--图片列表--><li class="menu-item"><a href="index.php?ctl=content&act=image_list" target="main-frame"><?php  echo $left_image_list; ?></a></li>
      <!--内容评论--><li class="menu-item"><a href="index.php?ctl=content&act=content_comment" target="main-frame"><?php  echo $left_content_comment; ?></a></li>
    </ul>
  </li>
<?php } ?>
<?php  if ( $_GET['type']=='html1' or $_GET['type']=='all1') { ?>  
  <li class="explode" key="3_menu" name="menu">
  <?php  echo $left_html_manage; ?><ul><!--html管理-->
      <!--生成首页--><li class="menu-item"><a href="index.php?ctl=html&act=create_index" target="main-frame"><?php  echo $left_html_index; ?></a></li>
      <!--生成频道--><li class="menu-item"><a href="index.php?ctl=html&act=create_class" target="main-frame"><?php  echo $left_html_class; ?></a></li>
      <!--生成内容--><li class="menu-item"><a href="index.php?ctl=html&act=create_content" target="main-frame"><?php  echo $left_html_content; ?></a></li>
      <!--生成地图--><li class="menu-item"><a href="index.php?ctl=html&act=create_map" target="main-frame"><?php  echo $left_html_map; ?></a></li>
    </ul>
  </li>
<?php } ?>
<?php  if ( $_GET['type']=='member' or $_GET['type']=='all') { ?>
  <li class="explode" key="4_menu" name="menu">
  <?php  echo $left_member_manage; ?><ul><!--会员管理-->
     <!--会员添加--><li class="menu-item"><a href="index.php?ctl=member&act=member_add" target="main-frame"><?php  echo $left_member_add; ?></a></li>
     <!--会员列表--><li class="menu-item"><a href="index.php?ctl=member&act=member_list" target="main-frame"><?php  echo $left_member_list; ?></a></li>
    </ul>
  </li>
<?php } ?>
<?php  if ( $_GET['type']=='system' or $_GET['type']=='all') { ?>
  <li class="explode" key="5_menu" name="menu">
  <?php  echo $left_system_manage; ?><ul><!--系统设置-->
      <!--系统设置--><li class="menu-item"><a href="index.php?ctl=system&act=system_set" target="main-frame"><?php  echo $left_system_set; ?></a></li>
      <!--水印设置--><li class="menu-item"><a href="index.php?ctl=system&act=watermark_set" target="main-frame"><?php  echo $left_system_watermark; ?></a></li>
      <!--上传设置--><li class="menu-item"><a href="index.php?ctl=system&act=upload_set" target="main-frame"><?php  echo $left_system_upload; ?></a></li>
      <!--<li class="menu-item"><a href="index.php?ctl=system&act=system_log" target="main-frame"><?php  echo $left_system_log; ?></a></li>-->
      <!--管理员设置--><li class="menu-item"><a href="index.php?ctl=system&act=system_admin" target="main-frame"><?php  echo $left_system_admin; ?></a></li>
	  <!--系统文章--><li class="menu-item"><a href="index.php?ctl=system&act=system_article" target="main-frame"><?php  echo $left_system_article; ?></a></li>
    </ul>
  </li>
<?php } ?>
<?php  if ( $_GET['type']=='module' or $_GET['type']=='all') { ?>
  <li class="explode" key="6_menu" name="menu">
  <?php  echo $left_module_manage; ?><ul><!--辅助模块-->
      <!--投票管理--><li class="menu-item"><a href="index.php?ctl=vote&act=vote_manage" target="main-frame"><?php  echo $left_vote_manage; ?></a></li>
      <!--留言管理--><li class="menu-item"><a href="index.php?ctl=leave&act=leave_manage" target="main-frame"><?php  echo $left_leave_manage; ?></a></li>
      <!--广告管理--><li class="menu-item"><a href="index.php?ctl=ad&act=ad_manage" target="main-frame"><?php  echo $left_ad_manage; ?></a></li>
      <!--友情链接--><li class="menu-item"><a href="index.php?ctl=flink&act=flink_manage" target="main-frame"><?php  echo $left_flink_manage; ?></a></li>  
    </ul>
  </li>
<?php } ?>
<?php  if ( $_GET['type']=='data' or $_GET['type']=='all') { ?>
  <li class="explode" key="7_menu" name="menu">
  <?php  echo $left_data_manage; ?><ul><!--数据库管理-->
      <!--数据库备份--><li class="menu-item"><a href="index.php?ctl=data&act=data_back" target="main-frame"><?php  echo $left_data_back; ?></a></li>
      <!--数据库还原--><li class="menu-item"><a href="index.php?ctl=data&act=data_revert" target="main-frame"><?php  echo $left_data_revert; ?></a></li>
      <!--数据库优化--><li class="menu-item"><a href="index.php?ctl=data&act=data_optimize" target="main-frame"><?php  echo $left_data_optimize; ?></a></li>
      </ul>
  </li>
<?php } ?>
</ul>
</div>
<div id="help-div" style="display:none">
<h1 id="help-title"></h1>
<div id="help-content"></div>
</div>
</div>
<script language="javascript" src="js/global.js"></script>
<script type="text/javascript" src="js/utils.js"></script>
<script language="javascript" src="js/transport.js"></script>
<script language="JavaScript">
<!--
var collapse_all = "<?php  echo $left_class_open; ?>";
var expand_all = "<?php  echo $left_class_close; ?>";
var collapse = true;
function toggleCollapse()
{
  var items = document.getElementsByTagName('LI');
  for (i = 0; i < items.length; i++)
  {
    if (collapse)
    {
      if (items[i].className == "explode")
      {
        toggleCollapseExpand(items[i], "collapse");
      }
    }
    else
    {
      if ( items[i].className == "collapse")
      {
        toggleCollapseExpand(items[i], "explode");
        ToggleHanlder.Reset();
      }
    }
  }

  collapse = !collapse;
  document.getElementById('toggleImg').src = collapse ? 'images/menu_minus.gif' : 'images/menu_plus.gif';
  document.getElementById('toggleImg').alt = collapse ? collapse_all : expand_all;
}

function toggleCollapseExpand(obj, status)
{
  if (obj.tagName.toLowerCase() == 'li' && obj.className != 'menu-item')
  {
    for (i = 0; i < obj.childNodes.length; i++)
    {
      if (obj.childNodes[i].tagName == "UL")
      {
        if (status == null)
        {
          if (obj.childNodes[1].style.display != "none")
          {
            obj.childNodes[1].style.display = "none";
            ToggleHanlder.RecordState(obj.getAttribute("key"), "collapse");
            obj.className = "collapse";
          }
          else
          {
            obj.childNodes[1].style.display = "block";
            ToggleHanlder.RecordState(obj.getAttribute("key"), "explode");
            obj.className = "explode";
          }
          break;
        }
        else
        {
          if( status == "collapse")
          {
            ToggleHanlder.RecordState(obj.getAttribute("key"), "collapse");
            obj.className = "collapse";
          }
          else
          {
            ToggleHanlder.RecordState(obj.getAttribute("key"), "explode");
            obj.className = "explode";
          }
          obj.childNodes[1].style.display = (status == "explode") ? "block" : "none";
        }
      }
    }
  }
}
document.getElementById('menu-list').onclick = function(e)
{
  var obj = Utils.srcElement(e);
  toggleCollapseExpand(obj);
}

document.getElementById('tabbar-div').onmouseover=function(e)
{
  var obj = Utils.srcElement(e);

  if (obj.className == "tab-back")
  {
    obj.className = "tab-hover";
  }
}

document.getElementById('tabbar-div').onmouseout=function(e)
{
  var obj = Utils.srcElement(e);

  if (obj.className == "tab-hover")
  {
    obj.className = "tab-back";
  }
}

document.getElementById('tabbar-div').onclick=function(e)
{
  var obj = Utils.srcElement(e);

  var mnuTab = document.getElementById('menu-tab');
  var hlpTab = document.getElementById('help-tab');
  var mnuDiv = document.getElementById('menu-list');
  var hlpDiv = document.getElementById('help-div');

  if (obj.id == 'menu-tab')
  {
    mnuTab.className = 'tab-front';
    hlpTab.className = 'tab-back';
    mnuDiv.style.display = "block";
    hlpDiv.style.display = "none";
  }

  if (obj.id == 'help-tab')
  {
    mnuTab.className = 'tab-back';
    hlpTab.className = 'tab-front';
    mnuDiv.style.display = "none";
    hlpDiv.style.display = "block";

    loc = parent.frames['main-frame'].location.href;
    pos1 = loc.lastIndexOf("/");
    pos2 = loc.lastIndexOf("?");
    pos3 = loc.indexOf("act=");
    pos4 = loc.indexOf("&", pos3);

    filename = loc.substring(pos1 + 1, pos2 - 4);
    act = pos4 < 0 ? loc.substring(pos3 + 4) : loc.substring(pos3 + 4, pos4);
  }
}

//菜单展合状态处理器
var ToggleHanlder = new Object();

Object.extend(ToggleHanlder ,{
  SourceObject : new Object(),
  CookieName   : 'Toggle_State',
  RecordState : function(name,state)
  {
    if(state == "collapse")
    {
      this.SourceObject[name] = state;
    }
    else
    {
      if(this.SourceObject[name])
      {
        delete(this.SourceObject[name]);
      }
    }
    var date = new Date();
    date.setTime(date.getTime() + 99999999);
    document.setCookie(this.CookieName, this.SourceObject.toJSONString(), date.toGMTString());
  },

  Reset :function()
  {
    var date = new Date();
    date.setTime(date.getTime() + 99999999);
    document.setCookie(this.CookieName, "{}" , date.toGMTString());
  },

  Load : function()
  {
    if (document.getCookie(this.CookieName) != null)
    {
      this.SourceObject = eval("("+ document.getCookie(this.CookieName) +")");
      var items = document.getElementsByTagName('LI');
      for (var i = 0; i < items.length; i++)
      {
        if ( items[0].getAttribute("name") == "menu")
        {
          for (var k in this.SourceObject)
          {
            if ( typeof(items[i]) == "object")
            {
              if (items[i].getAttribute('key') == k)
              {
                toggleCollapseExpand(items[i], this.SourceObject[k]);
                collapse = false;
              }
            }
          }
        }
     }
    }
    document.getElementById('toggleImg').src = collapse ? 'images/menu_minus.gif' : 'images/menu_plus.gif';
    document.getElementById('toggleImg').alt = collapse ? collapse_all : expand_all;
  }
});
//初始化菜单状态
ToggleHanlder.Load();

//-->
</script>

</body>
</html>